      SUBROUTINE PXZ15(XP,YP,IC)
C
C   CONVERTS RASTER VALUE INTO DATA UNITS.
C
$INCLUDE:'pxz99.cmn'
C
      IF(IAND(IC,1)) 50,5,50
C
    5 XP=(XP-XOFFS)/XSCLE
      IF(IXLOG) 10,20,10
   10 XP=EXP(XP)
   20 YP=(YP-YOFFS)/YSCLE
      IF(IYLOG) 30,70,30
   30 YP=EXP(YP)
      GO TO 70
   50 XP=XP/XRASP
      YP=YP/YRASP
   70 RETURN
      END

